# Package org.eclipse.cdt.utils.elf

Class Summary
AR: Deprecated. use org.eclipse.cdt.utils.AR
Elf
ElfHelper: `ElfHelper` is a wrapper class for the `Elf` class to provide higher level API for sorting/searching the ELF data.
SymbolSortCompare: Deprecated. This class is slated for removal, it is not used by the CDT classes

Exception Summary
Elf.ElfClassNoneException: Exception indicating that `Elf.ELFhdr.ELFCLASSNONE` header is read.